All Classes Namespaces Functions Variables Groups Pages
FreetdsSqlUtil::FreetdsSequence Class Reference

class for FreeTDS sequences More...

Inheritance diagram for FreetdsSqlUtil::FreetdsSequence:
[legend]

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
string | getRenameSql (string new_name)
| returns a string that can be used to rename the sequence in the database

## Detailed Description

class for FreeTDS sequences